Bug 1897138

Summary: oVirt provider uses depricated cluster-api project
Product: OpenShift Container Platform Reporter: Gal Zaidman <gzaidman>
Component: Cloud ComputeAssignee: Gal Zaidman <gzaidman>
Cloud Compute sub component: oVirt Provider QA Contact: michal <mgold>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: urgent CC: hpopal, lleistne, mgold
Version: 4.7   
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:32:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1898655, 1909990    

Description Gal Zaidman 2020-11-12 12:16:20 UTC
Description of problem:

oVirt cloud provider uses the cluster api project that has been deprecated since 4.2 and all development work ported to MAO.
That means we consume old code.

Expected results:
oVirt cloud provider import MAO instead of cluster api

Comment 3 michal 2020-12-22 12:30:34 UTC
this bug was verified when I verified this bug- 

https://bugzilla.redhat.com/show_bug.cgi?id=1898487

Comment 5 errata-xmlrpc 2021-02-24 15:32:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633